/*
 * startup.hpp
 *
 *  Created on: 22 Sep 2023
 *      Author: Dario
 */

#ifndef INCLUDE_STA_TACOS_STARTUP_HPP_
#define INCLUDE_STA_TACOS_STARTUP_HPP_

namespace sta
{
	namespace tacos
	{
		/**
		 * @brief Function that is called before the statemachine task is started.
		 * Override it to adjust the statemachine to your specifications.
		 */
		void onStatemachineInit();

		/**
		 * @brief Function that is called before the manager task is started.
		 * Override it to adjust the manager to your specifications.
		 */
		void onManagerInit();
	}  // namespace tacos
}  // namespace sta



#endif /* INCLUDE_STA_TACOS_STARTUP_HPP_ */
